FROM node:lts-alpine3.14

RUN mkdir -p /usr/src/app
WORKDIR /usr/src/app

ENV PATH /usr/src/app/node_modules/.bin:$PATH

COPY package.json yarn.lock ./

RUN apk add --no-cache --virtual .gyp \
  python3 \
  make \
  g++ \
  && yarn install --pure-lockfile --network-timeout 100000 \
  && apk del .gyp

COPY . .

CMD ["yarn", "start"]
